
package com.tmerclub.cloud.seckill.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 秒杀信息VO
 *
 * @author lhd
 * @date 2021-03-30 14:53:09
 */
public class SeckillAdminVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "开始日期")
    private Date startTime;

    @Schema(description = "具体开始时间")
    private Date dateTime;

    @Schema(description = "结束时间")
    private Date endTime;

    @Schema(description = "所选批次")
    private Integer selectedLot;

    @Schema(description = "参与商家数")
    private Integer joinShopNum;

    @Schema(description = "抢购商品数量")
    private Integer prodNum;

    @Schema(description = "数量")
    private Integer num;

    @Schema(description = "能否参与活动1.能 0.不能")
    private Integer canJoin;

    public Integer getCanJoin() {
        return canJoin;
    }

    public void setCanJoin(Integer canJoin) {
        this.canJoin = canJoin;
    }

    public Date getDateTime() {
        return dateTime;
    }

    public void setDateTime(Date dateTime) {
        this.dateTime = dateTime;
    }

    public Integer getNum() {
        return num;
    }

    public void setNum(Integer num) {
        this.num = num;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Integer getSelectedLot() {
        return selectedLot;
    }

    public void setSelectedLot(Integer selectedLot) {
        this.selectedLot = selectedLot;
    }

    public Integer getJoinShopNum() {
        return joinShopNum;
    }

    public void setJoinShopNum(Integer joinShopNum) {
        this.joinShopNum = joinShopNum;
    }

    public Integer getProdNum() {
        return prodNum;
    }

    public void setProdNum(Integer prodNum) {
        this.prodNum = prodNum;
    }

    @Override
    public String toString() {
        return "SeckillAdminVO{" +
                "startTime=" + startTime +
                ", dateTime=" + dateTime +
                ", endTime=" + endTime +
                ", selectedLot=" + selectedLot +
                ", joinShopNum=" + joinShopNum +
                ", prodNum=" + prodNum +
                ", num=" + num +
                ", canJoin=" + canJoin +
                '}';
    }
}
